Bug 197812 - Can't connect, refused by sshd, due to permissions
Can't connect, refused by sshd, due to permissions
Product: Fedora
Classification: Fedora
Component: freenx (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Richard A. Stout
Fedora Extras Quality Assurance
Depends On:
Blocks: FE6Target
  Show dependency treegraph
Reported: 2006-07-06 12:01 EDT by Moritz Barsnick
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: freenx-0.5.0-2.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-12 02:18:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to SPEC file to fix nx user's home dir permissions (360 bytes, patch)
2006-07-06 12:01 EDT, Moritz Barsnick
no flags Details | Diff

  None (edit)
Description Moritz Barsnick 2006-07-06 12:01:47 EDT
Description of problem:
Standard FC5 sshd (openssh) refuses to let an NX client connect due to unsecure 

Version-Release number of selected component (if applicable):

How reproducible:
Not sure. Here: always.

Steps to Reproduce:
1. Start up nomachine.com's NX client for Win32
2. Connect to FC5 machine.
Actual results:
Can't establish connection. (I can't recall the Windows client's message.)

Expected results:
Start up X11/NX.

Additional info:
The NX server running FC5 complains in /var/log/secure:
sshd[8086]: Authentication refused: bad ownership or modes for directory /var/

Indeed, /var/lib/nxserver/home has the permissions 775. sshd doesn't seem to 
care that this may be fine, it just looks at the numbers, I guess. (Apparently, 
if you configure sshd with "StrictModes no", with is _not_ recommended, it will 
accept these permissions.) Manually doing chmod g-w fixes this. NX then 
actually works out of the box. Excellent work, guys!

A trivial patch for the SPEC file is attached.
Comment 1 Moritz Barsnick 2006-07-06 12:01:47 EDT
Created attachment 132008 [details]
patch to SPEC file to fix nx user's home dir permissions
Comment 2 Richard A. Stout 2006-07-12 02:18:30 EDT
Fixed in current version. 0.5.0-2

Note You need to log in before you can comment on or make changes to this bug.